const ignoreList = [
  /^\/\.idea($|\/)/,
  /^\/\.vscode($|\/)/,
  /^\/database($|\/)/,
  /^\/node_modules\/\.cache($|\/)/,
  /^\/src($|\/)/,
  /^\/store($|\/)/,
  /^\/\.editorconfig/,
  /^\/\.eslintignore/,
  /^\/\.eslintrc\.json/,
  /^\/\.gitignore/,
  /^\/\.prettierrc\.yml/,
  /^\/forge.config\.js/,
  /^\/gulpfile\.js/,
  /^\/tsconfig\.json/,
  /^\/tslint\.json/,
  /^\/webpack\.config\.js/,
];

module.exports = {
  packagerConfig: {
    icon: 'resources/icon',
    ignore: ignoreList,
  },
  electronRebuildConfig: {
    force: true,
  },
  makers: [
    {
      name: '@electron-forge/maker-squirrel',
    },
  ],
};
